export const writeUnitTests = `
<h1>WRITE UNIT TESTS</h1>
<p style="width: 70%;">
A unit test should test <strong>one</strong> thing. Confine your it blocks to a single assertion.
</p>

<h3>Why?</h3>
<ul>
    <li>Single responsibility principle</li>
    <li>A test can fail for only one reason</li>
</ul>

<div style="background-color:#444; color:#fff; padding: 16px; position: relative; width: 50%; ">
    <pre>
// Yep
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      it('appends x to the end of the Array', function() {{'{'}}
        var initialArray = [1];
        initialArray.push(2);
        expect(initialArray).toEqual([1, 2]);
      {{'}'}});

      it('returns x', function() {{'{'}}
        var initialArray = [1];
        expect(initialArray.push(2)).toBe(2);
      {{'}'}});
    {{'}'}});
  {{'}'}});

// Nope
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      it('appends x to the end of the Array and returns it', function() {{'{'}}
        var initialArray = [1];
        expect(initialArray.push(2)).toBe(2);
        expect(initialArray).toEqual([1, 2]);
      {{'}'}});
    {{'}'}});
  {{'}'}});
    </pre>
</div>
`;
